Bug 1284039 - [SSUI] Sample text on login screen needs to be removed or replaced with CFME pertinent text
[SSUI] Sample text on login screen needs to be removed or replaced with CFME ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 10:58 EST by Dan Clarizio
Modified: 2015-12-08 08:49 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:49:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Clarizio 2015-11-20 10:58:30 EST
Description of problem:

SSUI has sample text of:

Welcome! This is placeholder text, only. Use this area to place any information or introductory message about your application that may be relevant for users. For example, you might include news or information about the latest release of your product here—such as a version number.

This should be either removed or replaced with some valid CFME based text in the productization repo

Version-Release number of selected component (if applicable):
5.5.0

Additional info:

Will comment with decision of replacement text or removal on this bug.
Comment 2 Harpreet Kataria 2015-11-24 09:38:54 EST
https://github.com/ManageIQ/manageiq/pull/5581
Comment 3 Harpreet Kataria 2015-11-24 09:46:45 EST
MR for mater productization branch: http://gitlab.cloudforms.lab.eng.rdu2.redhat.com/cloudforms/cfme_productization/merge_requests/143
Comment 4 Harpreet Kataria 2015-11-24 09:56:10 EST
New MR for productization master: http://gitlab.cloudforms.lab.eng.rdu2.redhat.com/cloudforms/cfme_productization/merge_requests/144
MR in comment #3 was closed due to conflicts in the MR.
Comment 5 CFME Bot 2015-11-24 13:15:36 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/91ef2e90e9bf11e64c76bbfe914920f7f2d73dcf

commit 91ef2e90e9bf11e64c76bbfe914920f7f2d73dcf
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Nov 24 09:35:14 2015 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Nov 24 09:35:14 2015 -0500

    Removed sample text from login screen.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284039

 spa_ui/self_service/client/app/skin/skin.module.js | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)
Comment 7 CFME Bot 2015-11-24 15:03:44 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=320ce9cfc36f0395cb058f9c45bf383d23075378

commit 320ce9cfc36f0395cb058f9c45bf383d23075378
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Nov 24 09:35:14 2015 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Nov 24 14:01:02 2015 -0500

    Removed sample text from login screen.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284039
    (cherry picked from commit 91ef2e9)

 spa_ui/self_service/client/app/skin/skin.module.js | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)
Comment 8 CFME Bot 2015-11-24 15:03:50 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=c1e08847a20c7ca438c8de2f3421b030bf9776ec

commit c1e08847a20c7ca438c8de2f3421b030bf9776ec
Merge: 118e7de 320ce9c
Author:     Oleg Barenboim <obarenbo@redhat.com>
AuthorDate: Tue Nov 24 14:52:19 2015 -0500
Commit:     Oleg Barenboim <obarenbo@redhat.com>
CommitDate: Tue Nov 24 14:52:19 2015 -0500

    Merge branch '55z_pr_5581' into '5.5.z'
    
    Removed sample text from login screen.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284039
    (cherry picked from commit 91ef2e9)
    
    clean cherry-pick for https://github.com/ManageIQ/manageiq/pull/5581
    
    @chessbyte please merge
    
    See merge request !534

 spa_ui/self_service/client/app/skin/skin.module.js | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)
Comment 9 Harpreet Kataria 2015-11-24 17:45:20 EST
cfme_productization 5.5.z MR: http://gitlab.cloudforms.lab.eng.rdu2.redhat.com/cloudforms/cfme_productization/merge_requests/145
Comment 10 CFME Bot 2015-11-24 18:04:00 EST
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=4a6175f7b88e0c631c0c1845eb24dadba665ddbc

commit 4a6175f7b88e0c631c0c1845eb24dadba665ddbc
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Nov 24 09:43:35 2015 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Nov 24 09:52:54 2015 -0500

    Removed sample text from login screen for productization branch.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284039

 manageiq/spa_ui/self_service/client/skin/productization.js | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)
Comment 11 CFME Bot 2015-11-24 18:04:05 EST
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=b37839a90e3e1e0a392c25c83894d5a0070bfded

commit b37839a90e3e1e0a392c25c83894d5a0070bfded
Merge: 3291e30 4a6175f
Author:     Oleg Barenboim <obarenbo@redhat.com>
AuthorDate: Tue Nov 24 17:35:29 2015 -0500
Commit:     Oleg Barenboim <obarenbo@redhat.com>
CommitDate: Tue Nov 24 17:35:29 2015 -0500

    Merge branch 'master_ssui_sample_text_removed' into 'master'
    
    Removed sample text from login screen for productization branch.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284039
    
    @chessbyte please review, this is a MR for master productization branch to match changes in https://github.com/ManageIQ/manageiq/pull/5581
    
    See merge request !144

 manageiq/spa_ui/self_service/client/skin/productization.js | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)
Comment 12 Ramesh A 2015-12-02 09:47:25 EST
Good to go.  Verified and working fine in 5.5.0.13.20151201120956_653c0d4.

Accessing https://<ipaddress>/sels_service no longer displays the sample text
Comment 14 errata-xmlrpc 2015-12-08 08:49:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.